// file: $isip/class/pr/ProductionRuleTokenType/prtt_00.cc
// version: $Id: prtt_00.cc 10419 2006-02-03 21:51:48Z slee $

// ISIP include files
//
#include "ProductionRuleTokenType.h"

// constant: class name
//
const String ProductionRuleTokenType::CLASS_NAME(L"ProductionRuleTokenType");

const String ProductionRuleTokenType::PARAM_TYPE(L"type");
const String ProductionRuleTokenType::DEF_PARAM(L"");

const String ProductionRuleTokenType::BLOCK_START_STR(L"{");
const String ProductionRuleTokenType::BLOCK_DELIM_STR(L"}, {");
const String ProductionRuleTokenType::BLOCK_END_STR(L"}");
const String ProductionRuleTokenType::BLOCK_TERM_STR(L";\n");
const long ProductionRuleTokenType::DEF_TAG = 0;

const NameMap ProductionRuleTokenType::TYPE_MAP(L"Undefined, CONCATENATION, KLEENE_STAR, KLEENE_PLUS, ALTERNATION, OPEN_PAREN, CLOSE_PAREN, OPEN_BRACE, CLOSE_BRACE, EPSILON, TERMINAL, NON_TERMINAL ");

// method: default constructor
//
// arguments: none
//
// return: none
//
ProductionRuleTokenType::ProductionRuleTokenType () {
  // set the debug level
  //
  debug_level_d = Integral::NONE;

  // set type
  //
  type_d=ProductionRuleTokenType::NONE;
  
}
